#!/usr/bin/env node
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.logger = void 0;
const tslib_1 = require("tslib");
const commander_1 = require("commander");
const inquirer_1 = tslib_1.__importDefault(require("inquirer"));
const load_yaml_1 = require("../../utils/load-yaml");
const shelljs_1 = tslib_1.__importDefault(require("shelljs"));
const logging_1 = require("../../utils/logging");
exports.logger = logging_1.getLogger();
// 环境检测
const cmd = 'git';
if (!shelljs_1.default.which(cmd)) {
    shelljs_1.default.echo('Sorry, this script requires ' + cmd);
    exports.logger.error("缺少必须的环境: " + cmd);
    shelljs_1.default.exit(1);
}
exports.logger.info("环境检测通过");
shelljs_1.default.config.verbose = true;
commander_1.program
    .option("-n, --name <string>", "项目名称");
commander_1.program.parse(process.argv);
const opts = commander_1.program.opts();
const pth = "config/prompts/init/index.yaml";
const { prompt } = load_yaml_1.loadYaml(pth);
inquirer_1.default.prompt(prompt).then((answer) => {
    console.log(answer);
}).catch((error) => {
    console.log(error);
});
