#!/usr/bin/env node
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.logger = void 0;
const tslib_1 = require("tslib");
const commander_1 = require("commander");
const load_yaml_1 = require("../../utils/load-yaml");
const logging_1 = require("../../utils/logging");
const fs_1 = require("fs");
const path_1 = require("path");
const shelljs_1 = tslib_1.__importDefault(require("shelljs"));
// import { publish, redisHandler } from "../../utils/redis"
/**
 *  将配置结构发送到配置端
 */
const mainCfg = load_yaml_1.loadYaml("config/main.cfg.yaml");
exports.logger = logging_1.getLogger();
commander_1.program
    .option("-f, --file <string> ", "配置文件路径");
commander_1.program.parse(process.argv);
const opts = commander_1.program.opts();
if (!opts.file) {
    exports.logger.error("必须指定配置文件地址!");
    shelljs_1.default.exit(1);
}
const filePath = path_1.resolve("./", opts.file);
if ([".yaml", ".yml"].findIndex(el => path_1.extname(filePath) === el) === -1) {
    exports.logger.error("配置文件必须是yaml格式!");
    shelljs_1.default.exit(1);
}
if (!fs_1.existsSync(filePath)) {
    exports.logger.error("配置文件不存在!");
    shelljs_1.default.exit(1);
}
const bname = path_1.basename(filePath);
exports.logger.info("basename is :" + bname);
const answer = {
    title: bname,
    treeCode: fs_1.readFileSync(filePath).toString()
};
// redisHandler(clt => {
//   // 设置配置文件内容到redis
//   clt.hset("config-struct", "title", answer.title
//     , "treeCode", answer.treeCode, num => {
//       logger.info(`publish ${mainCfg.redis.channel} code-struct...`)
//       clt.publish(mainCfg.redis.channel, "code-struct") // 推送代码结构
//       clt.quit()
//     })
// })
// socket.emit("code", JSON.stringify(answer))
exports.logger.info("emit-code success");
