"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MessageHandler = exports.MsgStatus = void 0;
// 处理状态
var MsgStatus;
(function (MsgStatus) {
    MsgStatus[MsgStatus["SUCCESS"] = 200] = "SUCCESS";
    MsgStatus[MsgStatus["WARN"] = 400] = "WARN";
    MsgStatus[MsgStatus["ERROR"] = 500] = "ERROR";
})(MsgStatus = exports.MsgStatus || (exports.MsgStatus = {}));
// 消息处理类
class MessageHandler {
    constructor(logger, socket) {
        this.logger = logger;
        this.socket = socket;
    }
    message(msg, status = 200) {
        if (status === MsgStatus.SUCCESS) {
            this.socket.emit('reply', { status, msg });
            // this.logger.info(msg)
        }
        else if (status === MsgStatus.ERROR) {
            this.socket.emit('reply', { status, msg });
            this.logger.error(msg);
        }
        else {
            this.socket.emit('reply', { status, msg });
            this.logger.warn(msg);
        }
    }
}
exports.MessageHandler = MessageHandler;
