"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const socket_client_1 = require("../../utils/socket-client");
const commander_1 = require("commander");
const logging_1 = require("../../utils/logging");
const shelljs_1 = tslib_1.__importDefault(require("shelljs"));
const logger = logging_1.getLogger();
logger.info("start subscribe...");
commander_1.program
    .option("-n, --roomName <string>", "聊天室的名称");
commander_1.program.parse(process.argv);
const opts = commander_1.program.opts();
if (!opts.roomName) {
    throw new TypeError("房间名必须提供");
}
/**
 * 连接成功
 */
socket_client_1.socket.on("connect", () => {
    socket_client_1.socket.emit("registry", opts.roomName);
    logger.info("connected socket service！");
});
/**
 * 获取代码，写出到文件
 */
socket_client_1.socket.on('eating', msg => {
    logger.info(`触发 eating 事件...`);
    console.log(msg);
    // redisHandler(clt => {
    //   clt.get("outfile-" + opts.roomName, (error, data) => {
    //     logger.info(`获取输出路径 ${data} ...`)
    //     if (error) {
    //       logger.error(error)
    //     } else if (data) {
    //       const content = parse(msg.data)
    //       const theDirective = dirname(data)
    //       if (!existsSync(theDirective)) {
    //         mkdirSync(theDirective, { recursive: true })
    //       }
    //       writeFile(data, stringify(content), err => {
    //         if (err) {
    //           logger.error(err.message)
    //         }
    //       })
    //       logger.info(`write file ${data} success;`);
    //     }
    //     clt.quit()
    //   })
    // })
});
socket_client_1.socket.on('command', msg => {
    try {
        shelljs_1.default.exec(msg);
        logger.info(`触发 command 事件 ${msg}...`);
    }
    catch (error) {
        logger.error(error.message);
    }
});
/**
 * 缓存配置代码到本地
 */
// socket.on('code', msg => {
//   logger.info(`触发 cached 事件...`)
//   redisHandler(clt => {
//     clt.get("out_cache_file", (error, data) => {
//       logger.info(`获取缓存路径 ${data} ...`)
//       if (error) {
//         logger.error(error)
//       } else if (data) {
//         writeFile(data, msg, err => {
//           if (err) {
//             logger.error(err.message)
//           }
//         })
//         logger.info(`write file ${data} success;`);
//       }
//       clt.quit()
//     })
//   })
// });
// 关闭连接到时候调用
socket_client_1.socket.on("unconnect", () => {
    logger.info("unconnect...");
});
