#!/usr/bin/env node
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const commander_1 = require("commander");
process.on('unhandledRejection', (reason, p) => {
    console.log('Unhandled Rejection at: Promise', p, 'reason:', reason);
});
commander_1.program.version("1.0.0")
    .usage("mclient <command> [options]")
    .command("init", "初始化一个vue项目", { executableFile: "controller/init/index.js" })
    .command("socket", "远程通信", { executableFile: "controller/socket/index.js" })
    .command("model", "选择一个模块", { executableFile: "controller/model/index.js" })
    .command("out", "设置输出文件", { executableFile: "controller/out/index.js" })
    .command("watch", "监听配置文件变化", { executableFile: "controller/watch/index.js" })
    .parse(process.argv);
