"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const redis_1 = require("redis");
const logging_1 = require("./logging");
const load_yaml_1 = require("./load-yaml");
const cfgobj = load_yaml_1.loadYaml("config/main.cfg.yaml");
const logger = logging_1.getLogger();
function getRedisClient() {
    const redisClient = redis_1.createClient({
        host: cfgobj.redis.host,
        port: cfgobj.redis.port,
        password: cfgobj.redis.password
    });
    return redisClient;
}
/**
 *
 * redis的处理函数
 * @param fn 回调函数
 */
function redisHandler(fn) {
    const client = getRedisClient();
    try {
        fn(client);
    }
    catch (err) {
        logger.error(err);
    }
}
function publish(channel, message) {
    const client = getRedisClient();
    client.publish(channel, message);
    client.quit();
}
