"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.socket = void 0;
const tslib_1 = require("tslib");
const socket_io_client_1 = tslib_1.__importDefault(require("socket.io-client"));
const load_yaml_1 = require("./load-yaml");
const logging_1 = require("./logging");
const path_1 = require("path");
// import { getRedisClient, redisHandler } from "./redis"
// const subscriber = getRedisClient()
const logger = logging_1.getLogger();
const cfgPath = "config/main.cfg.yaml";
const cfgObj = load_yaml_1.loadYaml(cfgPath);
const homePath = process.env.HOME || process.env.USERPROFILE;
if (homePath) {
    const userConfigPath = path_1.resolve(homePath, ".mclient");
    const userConfig = load_yaml_1.loadYaml(userConfigPath);
    Object.assign(cfgObj, userConfig);
}
const socket = socket_io_client_1.default(cfgObj.socketIo.servicePath, { transports: ['websocket', 'xhr-polling', 'jsonp-polling'] });
exports.socket = socket;
/**
 * 退出
 */
logger.info("subscribe start ...");
