#!/usr/bin/env node

import { program } from "commander"
import inquirer from "inquirer"
import { loadYaml } from "../../utils/load-yaml"
import shell from "shelljs"
import { getLogger } from "../../utils/logging"


export const logger = getLogger()

// 环境检测
const cmd = 'git'
if (!shell.which(cmd)) {
  shell.echo('Sorry, this script requires ' + cmd);
  logger.error("缺少必须的环境: " + cmd)
  shell.exit(1);
}
logger.info("环境检测通过")
shell.config.verbose = true;


program
  .option("-n, --name <string>", "项目名称")
program.parse(process.argv)
const opts = program.opts()

interface Answer {
  name: string
  version: string
}

const pth = "config/prompts/init/index.yaml"
const {prompt} = loadYaml(pth)
inquirer.prompt<Answer>(prompt).then((answer: Answer) => {
  console.log(answer)
}).catch((error) => {
  console.log(error)
});
