import { Logger } from "log4js";
import { Socket } from "socket.io-client";

// 处理状态
export enum MsgStatus {
  SUCCESS = 200,
  WARN = 400,
  ERROR = 500
}

// 消息处理类
export class MessageHandler {
  socket: Socket;
  logger: Logger

  constructor(logger, socket) {
    this.logger = logger
    this.socket = socket
  }

  message(msg: string, status: number = 200) {
    if (status === MsgStatus.SUCCESS) {
      this.socket.emit('reply', { status, msg });
      // this.logger.info(msg)
    } else if (status === MsgStatus.ERROR) {
      this.socket.emit('reply', { status, msg });
      this.logger.error(msg)
    } else {
      this.socket.emit('reply', { status, msg });
      this.logger.warn(msg)
    }
  }
}

